Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextDocument.ResourceType

    java.lang.Object
      java.lang.Enum<QTextDocument.ResourceType>
          com.trolltech.qt.gui.QTextDocument.ResourceType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextDocument.ResourceType>

Enclosing class:
  QTextDocument

    public static enum QTextDocument.ResourceType

extends java.lang.Enum<QTextDocument.ResourceType>
implements QtEnumerator

This enum describes the types of resources that can be loaded by `QTextDocument`'s `loadResource` function.

See Also:
  `loadResource`

Enum Constant Summary
`HtmlResource` The resource contains HTML.
`ImageResource` The resource contains image data.
`StyleSheetResource` The resource contains CSS.
`UserResource` The first available value for user defined resource types.

Method Summary
`static QTextDocument.ResourceType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextDocument.ResourceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextDocument.ResourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HtmlResource

    public static final QTextDocument.ResourceType HtmlResource

  The resource contains HTML.

### ImageResource

    public static final QTextDocument.ResourceType ImageResource

  The resource contains image data. Currently supported data types are QVariant::Pixmap and QVariant::Image. If the corresponding variant is of type QVariant::ByteArray then Qt attempts to load the image using QImage::loadFromData. QVariant::Icon is currently not supported. The icon needs to be converted to one of the supported types first, for example using QIcon::pixmap.

### StyleSheetResource

    public static final QTextDocument.ResourceType StyleSheetResource

  The resource contains CSS.

### UserResource

    public static final QTextDocument.ResourceType UserResource

  The first available value for user defined resource types.

Method Detail

### values

    public static final QTextDocument.ResourceType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextDocument.ResourceType c : QTextDocument.ResourceType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextDocument.ResourceType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextDocument.ResourceType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD